/**
 * <a href="http://www.openolat.org">
 * OpenOLAT - Online Learning and Training</a><br>
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License"); <br>
 * you may not use this file except in compliance with the License.<br>
 * You may obtain a copy of the License at the
 * <a href="http://www.apache.org/licenses/LICENSE-2.0">Apache homepage</a>
 * <p>
 * Unless required by applicable law or agreed to in writing,<br>
 * software distributed under the License is distributed on an "AS IS" BASIS, <br>
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. <br>
 * See the License for the specific language governing permissions and <br>
 * limitations under the License.
 * <p>
 * Initial code contributed and copyrighted by<br>
 * frentix GmbH, http://www.frentix.com
 * <p>
 */
package org.olat.admin.user;

import org.olat.core.gui.components.form.flexible.elements.FormLink;
import org.olat.core.gui.components.form.flexible.elements.MultipleSelectionElement;
import org.olat.core.id.Identity;

/**
 * 
 * @author srosse, stephane.rosse@frentix.com, http://www.frentix.com
 *
 */
public class UserResultWrapper {
	private final Identity identity;
	private final MultipleSelectionElement selectEl;
	private final FormLink selectLink;
	
	public UserResultWrapper(Identity identity, FormLink selectLink, MultipleSelectionElement selectEl) {
		this.identity = identity;
		this.selectEl = selectEl;
		this.selectLink = selectLink;
	}

	public Identity getIdentity() {
		return identity;
	}

	public MultipleSelectionElement getSelectEl() {
		return selectEl;
	}

	public FormLink getSelectLink() {
		return selectLink;
	}
}
